# Uses of Interface
org.w3c.dom.traversal.NodeFilter

Packages that use NodeFilter
Package
Description
org.w3c.dom.ls
Provides interfaces for DOM Level 3 Load and Save.
org.w3c.dom.traversal
Provides interfaces for DOM Level 2 Traversal.

## Uses of NodeFilter in org.w3c.dom.ls

Subinterfaces of NodeFilter in org.w3c.dom.ls
Modifier and Type
Interface
Description
`interface`
`LSSerializerFilter`
`LSSerializerFilter`s provide applications the ability to examine nodes as they are being serialized and decide what nodes should be serialized or not.

## Uses of NodeFilter in org.w3c.dom.traversal

Methods in org.w3c.dom.traversal that return NodeFilter
Modifier and Type
Method
Description
`NodeFilter`
NodeIterator.`getFilter()`
The `NodeFilter` used to screen nodes.
`NodeFilter`
TreeWalker.`getFilter()`
The filter used to screen nodes.
Methods in org.w3c.dom.traversal with parameters of type NodeFilter
Modifier and Type
Method
Description
`NodeIterator`
DocumentTraversal.`createNodeIterator(Node root, int whatToShow, NodeFilter filter, boolean entityReferenceExpansion)`
Create a new `NodeIterator` over the subtree rooted at the specified node.
`TreeWalker`
DocumentTraversal.`createTreeWalker(Node root, int whatToShow, NodeFilter filter, boolean entityReferenceExpansion)`
Create a new `TreeWalker` over the subtree rooted at the specified node.